
QGIS Application - Bug report #8827

Corner coordinates in map composer drawn in wrong place

2013-10-12 01:33 AM - Raymond Nijssen

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17520

Description

When drawing a world map (extent: -180,-90,180,90) in the composer with coordinates drawn along the borders every 10 degrees, the

location of the 4 corner longitude labels is incorrect. The labels are placed along the latitude lines (sides) overlapping the latitude labels.

It is a bit hard to describe but therefore I attached a picture. :)

I tested with a few values and the software seems to check if (x <= map extent) first and then decides to place it on the left side of my

map.

Regards,

Raymond

Associated revisions

Revision fadf182e - 2014-10-19 09:34 AM - Nyall Dawson

[composer] Fix placement of coordinates in map corners (fix #8827)

History

#1 - 2013-10-12 10:36 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

#2 - 2014-10-01 02:05 AM - Pedro Venâncio

More detailed description on #11297

#3 - 2014-10-14 03:36 AM - marisn -

- OS version deleted (ubuntu 13.04)

- Priority changed from Low to Normal

- File qgis_composer_wrong_grid_labels.jpeg added

Still an issue. Tested with master c9cfdfa

#4 - 2014-10-19 12:35 AM - Nyall Dawson

- Status changed from Open to Closed
Fixed in changeset commit:"fadf182e1dd0b4d3ddfd7d3ac81c85b69a93bbd5".

Files

qgis_composer_draw_coordinates.png 472 KB 2013-10-11 Raymond Nijssen

qgis_composer_wrong_grid_labels.jpeg 82.3 KB 2014-10-14 marisn -
